<?xml version="1.0" encoding="utf-8"?>
<!--
  ~ Copyright (C) 2017 The Android Open Source Project
  ~
  ~ Licensed under the Apache License, Version 2.0 (the "License");
  ~ you may not use this file except in compliance with the License.
  ~ You may obtain a copy of the License at
  ~
  ~      http://www.apache.org/licenses/LICENSE-2.0
  ~
  ~ Unless required by applicable law or agreed to in writing, software
  ~ distributed under the License is distributed on an "AS IS" BASIS,
  ~ WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  ~ See the License for the specific language governing permissions and
  ~ limitations under the License
  -->

<!--
This XML file declares which signature|privileged permissions should be granted to privileged
applications on GMS or Google-branded devices.
It allows additional grants on top of privapp-permissions-platform.xml
-->
<permissions>
    <privapp-permissions package="com.asus.mobilemanager">
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.SET_ANIMATION_SCALE"/>
    </privapp-permissions>
    <privapp-permissions package="com.asus.launcher">
        <permission name="android.permission.BIND_APPWIDGET"/>
        <permission name="android.permission.PACKAGE_USAGE_STATS"/>
        <permission name="com.asus.permission.HIDE_NAVIGATION_FOREVER"/>
        <permission name="android.permission.STATUS_BAR"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="android.permission.CHANGE_COMPONENT_ENABLED_STATE"/>
        <permission name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS"/>
        <permission name="android.permission.FORCE_STOP_PACKAGES"/>
        <permission name="com.asus.permission.MANAGE_APP_ASPECT"/>
        <permission name="android.permission.CONTROL_REMOTE_APP_TRANSITION_ANIMATIONS"/>
        <permission name="android.permission.CHANGE_CONFIGURATION"/>
    </privapp-permissions>
    <privapp-permissions package="com.asus.launcher3">
        <permission name="android.permission.BIND_APPWIDGET"/>
        <permission name="android.permission.PACKAGE_USAGE_STATS"/>
        <permission name="com.asus.permission.HIDE_NAVIGATION_FOREVER"/>
        <permission name="android.permission.STATUS_BAR"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="android.permission.CHANGE_COMPONENT_ENABLED_STATE"/>
        <permission name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS"/>
        <permission name="android.permission.FORCE_STOP_PACKAGES"/>
        <permission name="com.asus.permission.MANAGE_APP_ASPECT"/>
        <permission name="android.permission.CONTROL_REMOTE_APP_TRANSITION_ANIMATIONS"/>
        <permission name="android.permission.CHANGE_CONFIGURATION"/>
        <permission name="com.asus.permission.HARDWARE_PROPERTIES"/>
        <permission name="com.asus.permission.MARKETS"/>
    </privapp-permissions>

    <privapp-permissions package="com.android.emergency">
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
    </privapp-permissions>

    <privapp-permissions package="com.asus.asusincallui">
        <permission name="android.permission.BROADCAST_CLOSE_SYSTEM_DIALOGS"/>
        <permission name="android.permission.ALLOW_ANY_CODEC_FOR_PLAYBACK"/>
        <permission name="android.permission.CONTROL_INCALL_EXPERIENCE"/>
        <permission name="android.permission.MODIFY_PHONE_STATE"/>
        <permission name="android.permission.STOP_APP_SWITCHES"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="com.android.voicemail.permission.READ_VOICEMAIL"/>
        <permission name="com.android.voicemail.permission.WRITE_VOICEMAIL"/>
        <permission name="com.asus.permission.HIDE_NAVIGATION_FOREVER"/>
    </privapp-permissions>

    <privapp-permissions package="com.asus.filemanager">
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.LOCAL_MAC_ADDRESS"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS"/>
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
    </privapp-permissions>

    <privapp-permissions package="com.asus.gallery">
        <permission name="android.permission.DELETE_PACKAGES"/>
        <permission name="android.permission.LOCAL_MAC_ADDRESS"/>
        <permission name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS"/>
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
    </privapp-permissions>

    <privapp-permissions package="com.asus.soundrecorder">
        <permission name="android.permission.CAPTURE_AUDIO_OUTPUT"/>
        <permission name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS"/>
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
    </privapp-permissions>

    <privapp-permissions package="com.asus.screenrecorder">
        <permission name="android.permission.CAPTURE_AUDIO_OUTPUT"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
    </privapp-permissions>

    <privapp-permissions package="com.asus.contacts">
        <permission name="android.permission.ALLOW_ANY_CODEC_FOR_PLAYBACK"/>
        <permission name="android.permission.BIND_DIRECTORY_SEARCH"/>
        <permission name="android.permission.CHANGE_CONFIGURATION"/>
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.MODIFY_PHONE_STATE"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.UPDATE_APP_OPS_STATS"/>
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="com.android.voicemail.permission.READ_VOICEMAIL"/>
        <permission name="com.android.voicemail.permission.WRITE_VOICEMAIL"/>
    </privapp-permissions>

    <privapp-permissions package="com.asus.dialer">
        <permission name="android.permission.ALLOW_ANY_CODEC_FOR_PLAYBACK"/>
        <permission name="android.permission.BIND_DIRECTORY_SEARCH"/>
        <permission name="android.permission.CHANGE_CONFIGURATION"/>
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.MODIFY_PHONE_STATE"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.UPDATE_APP_OPS_STATS"/>
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="com.android.voicemail.permission.READ_VOICEMAIL"/>
        <permission name="com.android.voicemail.permission.WRITE_VOICEMAIL"/>
    </privapp-permissions>

    <privapp-permissions package="com.asus.ephotoburst">
        <permission name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS"/>
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
    </privapp-permissions>

    <privapp-permissions package="com.android.server.telecom">
        <permission name="android.permission.SERIAL_PORT"/>
    </privapp-permissions>

    <privapp-permissions package="com.asus.zenui.livewallpaper.zenui6livewallpaper">
        <permission name="android.permission.SET_WALLPAPER_COMPONENT"/>
    </privapp-permissions>

    <privapp-permissions package="com.asus.loguploader">
        <permission name="android.permission.READ_LOGS"/>
    </privapp-permissions>

    <privapp-permissions package="com.asus.loguploaderproxy">
        <permission name="android.permission.DUMP"/>
    </privapp-permissions>

    <privapp-permissions package="com.asus.gamewidget">
        <permission name="com.asus.permission.MANAGE_APP_ASPECT"/>
        <permission name="com.asus.permission.HARDWARE_PROPERTIES"/>
        <permission name="android.permission.MODIFY_PHONE_STATE"/>
        <permission name="com.asus.permission.TOP_OF_EVERYTHING"/>
        <permission name="android.permission.CAPTURE_AUDIO_OUTPUT"/>
        <permission name="android.permission.STATUS_BAR"/>
    </privapp-permissions>

    <privapp-permissions package="com.asus.sysmonitor">
        <permission name="android.permission.UPDATE_DEVICE_STATS"/>
        <permission name="android.permission.BATTERY_STATS"/>
        <permission name="android.permission.PACKAGE_USAGE_STATS"/>
        <permission name="android.permission.READ_LOGS"/>
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
        <permission name="android.permission.DUMP"/>
    </privapp-permissions>

    <privapp-permissions package="com.android.systemui">
        <permission name="android.permission.MANAGE_DEBUGGING"/>
        <permission name="android.permission.CONTROL_VPN" />
        <permission name="android.permission.START_TASKS_FROM_RECENTS" />
        <permission name="android.permission.STATUS_BAR" />
        <permission name="android.permission.GET_APP_OPS_STATS" />
        <permission name="android.permission.CONTROL_KEYGUARD_SECURE_NOTIFICATIONS" />
        <permission name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS" />
        <permission name="android.permission.USE_RESERVED_DISK" />
        <permission name="android.permission.CONNECTIVITY_INTERNAL" />
        <permission name="android.permission.CONTROL_REMOTE_APP_TRANSITION_ANIMATIONS" />
        <permission name="android.permission.WRITE_MEDIA_STORAGE" />
        <permission name="android.permission.CONTROL_DISPLAY_COLOR_TRANSFORMS" />
        <permission name="android.permission.READ_DREAM_STATE" />
        <permission name="android.permission.CHANGE_COMPONENT_ENABLED_STATE" />
        <permission name="android.permission.MODIFY_PHONE_STATE" />
        <permission name="android.permission.CHANGE_OVERLAY_PACKAGES" />
        <permission name="android.permission.MEDIA_CONTENT_CONTROL" />
        <permission name="android.permission.STOP_APP_SWITCHES" />
        <permission name="android.permission.TETHER_PRIVILEGED" />
        <permission name="android.permission.WRITE_EMBEDDED_SUBSCRIPTIONS" />
        <permission name="android.permission.MASTER_CLEAR" />
        <permission name="android.permission.BLUETOOTH_PRIVILEGED" />
        <permission name="android.permission.RECEIVE_MEDIA_RESOURCE_USAGE" />
        <permission name="android.permission.BATTERY_STATS" />
        <permission name="android.permission.MANAGE_USB" />
        <permission name="android.permission.REAL_GET_TASKS" />
        <permission name="android.permission.CHANGE_DEVICE_IDLE_TEMP_WHITELIST" />
        <permission name="android.permission.WATCH_APPOPS" />
        <permission name="android.permission.WRITE_DREAM_STATE" />
        <permission name="android.permission.SUBSTITUTE_NOTIFICATION_APP_NAME" />
        <permission name="android.permission.OVERRIDE_WIFI_CONFIG" />
        <permission name="android.permission.WRITE_SECURE_SETTINGS" />
        <permission name="android.permission.MANAGE_USERS" />
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE" />
        <permission name="android.permission.READ_NETWORK_USAGE_HISTORY" />
        <permission name="android.permission.START_ACTIVITIES_FROM_BACKGROUND" />
        <permission name="android.permission.MODIFY_DAY_NIGHT_MODE" />
        <permission name="android.permission.DUMP" />
        <permission name="android.permission.UPDATE_APP_OPS_STATS" />
        <permission name="android.permission.INTERACT_ACROSS_USERS" />
        <permission name="android.permission.SUBSTITUTE_SHARE_TARGET_APP_NAME_AND_ICON" />
        <permission name="android.permission.READ_WALLPAPER_INTERNAL" />
    </privapp-permissions>

    <!-- Additional permissions on top of privapp-permissions-platform.xml -->
    <privapp-permissions package="com.android.cellbroadcastreceiver">
        <permission name="android.permission.STATUS_BAR"/>
    </privapp-permissions>

    <privapp-permissions package="com.asus.emergencyhelp">
        <permission name="android.permission.CALL_PRIVILEGED"/>
    </privapp-permissions>

    <privapp-permissions package="com.asus.lockscreen2">
        <permission name="android.permission.INTERACT_ACROSS_USERS"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS"/>
    </privapp-permissions>

    <privapp-permissions package="com.futuredial.asuslocalbackup">
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
    </privapp-permissions>

    <privapp-permissions package="com.asus.cnmessage">
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.READ_PHONE_STATE"/>
        <permission name="android.permission.WRITE_MEDIA_STORAGE"/>
        <permission name="android.permission.READ_VOICEMAIL"/>
        <permission name="android.permission.WRITE_VOICEMAIL"/>
    </privapp-permissions>

    <privapp-permissions package="com.android.permissioncontroller">
        <permission name="android.permission.SET_UNRESTRICTED_KEEP_CLEAR_AREAS"/>
        <permission name="android.permission.READ_SAFETY_CENTER_STATUS"/>
        <permission name="android.permission.CHANGE_COMPONENT_ENABLED_STATE"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
        <permission name="android.permission.PACKAGE_USAGE_STATS"/>
        <permission name="android.permission.GET_APP_OPS_STATS"/>
        <permission name="android.permission.REQUEST_INCIDENT_REPORT_APPROVAL"/>
        <permission name="android.permission.SUBSTITUTE_NOTIFICATION_APP_NAME"/>
        <permission name="android.permission.SEND_SAFETY_CENTER_UPDATE" />
        <permission name="android.permission.OBSERVE_GRANT_REVOKE_PERMISSIONS"/>
        <permission name="android.permission.MODIFY_AUDIO_ROUTING" />
        <permission name="android.permission.MANAGE_USERS"/>
        <permission name="android.permission.UPDATE_APP_OPS_STATS"/>
        <permission name="android.permission.WRITE_SECURE_SETTINGS" />
    </privapp-permissions>
    
    <privapp-permissions package="com.android.cellbroadcastservice">
        <permission name="android.permission.MODIFY_PHONE_STATE"/>
        <permission name="android.permission.READ_PRIVILEGED_PHONE_STATE"/>
    </privapp-permissions>

</permissions>
